Bug Hunting Session
Bug 101832 - Contour Editor no longer centers image in the dialog
Summary: Contour Editor no longer centers image in the dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Contour-Editor
  Show dependency treegraph
 
Reported: 2016-08-31 18:30 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-11-22 15:15 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (196.68 KB, application/vnd.oasis.opendocument.text)
2016-08-31 18:30 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-08-31 18:30:42 UTC
Created attachment 127102 [details]
sample

Steps:
1) Open attached doc
2) Select each of the three images and open up the contour editor on each
3) With the gray arrow, the contour editor will appear blank when opened but stretching the width of the dialog will eventually show the image
4) With the blue arrow, the contour editor will crop the bottom of the image and stretching its height will further crop more of the image
5) With the mockup image, it doesnt center the image in the window

Regression as this all worked fine in 5.1.

Version: 5.3.0.0.alpha0+
Build ID: 139d3b3e8b157c1f365f888126269f0902acbaa2
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-26_00:01:39
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2016-09-27 15:50:55 UTC
Confirmed in

Version: 5.3.0.0.alpha0+
Build ID: 0d3ba1d4b507b555b086c687fcd202d69a9a2ffa
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2016-09-27 16:01:16 UTC
@raal, one for you? would you like to bibisect this one?
Comment 3 Xisco Faulí 2016-09-29 21:43:50 UTC
Regression introduced by 23dfb9e14571d96f9bd23d178f397ee35c36f686.

Adding Cc: Xisco Fauli ( myself :-D )
Comment 4 Commit Notification 2016-11-15 14:52:46 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d1a788468ef94cd1de4400d3c1e38d768f7bf8d

fix tdf#101832 and tdf#100617

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-17 08:53:07 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbac26485f1456b70c51969a1df11bf08643d894&h=libreoffice-5-2

fix tdf#101832 and tdf#100617

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2016-11-22 15:15:41 UTC
Verified

Version: 5.3.0.0.alpha1+
Build ID: 883024d657fb45c7da459017d2f936aac5644bfb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-21_22:42:51
Locale: en-US (en_US.UTF-8); Calc: group